diff -uNr old-OpenCV-2.1.0//3rdparty/flann/CMakeLists.txt OpenCV-2.1.0/3rdparty/flann/CMakeLists.txt
--- old-OpenCV-2.1.0//3rdparty/flann/CMakeLists.txt	2010-04-06 03:24:34.000000000 +0200
+++ OpenCV-2.1.0/3rdparty/flann/CMakeLists.txt	2010-04-10 15:00:17.075951269 +0200
@@ -89,8 +89,8 @@
 INSTALL (
     TARGETS flann  # flann_s
     RUNTIME DESTINATION bin
-    LIBRARY DESTINATION lib
-    ARCHIVE DESTINATION lib
+    LIBRARY DESTINATION lib${LIB_SUFFIX}
+    ARCHIVE DESTINATION lib${LIB_SUFFIX}
 )
 
 # INSTALL (
diff -uNr old-OpenCV-2.1.0//CMakeLists.txt OpenCV-2.1.0/CMakeLists.txt
--- old-OpenCV-2.1.0//CMakeLists.txt	2010-04-06 03:24:37.000000000 +0200
+++ OpenCV-2.1.0/CMakeLists.txt	2010-04-10 14:59:29.918199133 +0200
@@ -467,8 +467,8 @@
 
     string(REGEX MATCH "[0-9].[0-9]" PYTHON_VERSION_MAJOR_MINOR "${PYTHON_VERSION_FULL}")
     if(UNIX)
-        set(PYTHON_PLUGIN_INSTALL_PATH lib/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages/opencv)
-        set(PYTHON_PACKAGES_PATH lib/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages)
+        set(PYTHON_PLUGIN_INSTALL_PATH lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages/opencv)
+        set(PYTHON_PACKAGES_PATH lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages)
     endif()
     if(WIN32)
         get_filename_component(PYTHON_PATH "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Python\\PythonCore\\${PYTHON_VERSION_MAJOR_MINOR}\\InstallPath]" ABSOLUTE CACHE)
@@ -932,7 +932,7 @@
 # Set CMAKE_INCLUDE_DIRS_CONFIGCMAKE to the list of include directories:
 
 set(CMAKE_INCLUDE_DIRS_CONFIGCMAKE "${CMAKE_INSTALL_PREFIX}/include/opencv")
-set(CMAKE_LIB_DIRS_CONFIGCMAKE "${CMAKE_INSTALL_PREFIX}/lib")
+set(CMAKE_LIB_DIRS_CONFIGCMAKE "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 
 #exec_program(${CMAKE_COMMAND} ARGS "-E make_directory \"${CMAKE_BINARY_DIR}/unix-install/\"")
 exec_program(mkdir ARGS "-p \"${CMAKE_BINARY_DIR}/unix-install/\"")
@@ -965,19 +965,19 @@
 #  Part 2/2: ${BIN_DIR}/unix-install/opencv.pc -> For use *with* "make install"
 # prefix=/usr
 # exec_prefix=${prefix}
-# libdir=${exec_prefix}/lib
+# libdir=${exec_prefix}/lib${LIB_SUFFIX}
 # includedir=${prefix}/include/opencv
 # -------------------------------------------------------------------------------------------
 set(prefix      ${CMAKE_INSTALL_PREFIX})
 set(exec_prefix     "\${prefix}")
-set(libdir      "\${exec_prefix}/lib")
+set(libdir      "\${exec_prefix}/lib${LIB_SUFFIX}")
 set(includedir      "\${prefix}/include")
 set(VERSION             ${OPENCV_VERSION})
 
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/opencv.pc.cmake.in" "${CMAKE_BINARY_DIR}/unix-install/opencv.pc" @ONLY IMMEDIATE)
 
 if(UNIX)
-    install(FILES ${CMAKE_BINARY_DIR}/unix-install/opencv.pc DESTINATION lib/pkgconfig)
+    install(FILES ${CMAKE_BINARY_DIR}/unix-install/opencv.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)
 endif()
 
 
diff -uNr old-OpenCV-2.1.0//interfaces/ffopencv/CMakeLists.txt OpenCV-2.1.0/interfaces/ffopencv/CMakeLists.txt
--- old-OpenCV-2.1.0//interfaces/ffopencv/CMakeLists.txt	2010-04-06 03:24:40.000000000 +0200
+++ OpenCV-2.1.0/interfaces/ffopencv/CMakeLists.txt	2010-04-10 15:03:03.415953344 +0200
@@ -40,6 +40,6 @@
 
 install(TARGETS ${the_target}
 	RUNTIME DESTINATION bin COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
     )
diff -uNr old-OpenCV-2.1.0//src/cv/CMakeLists.txt OpenCV-2.1.0/src/cv/CMakeLists.txt
--- old-OpenCV-2.1.0//src/cv/CMakeLists.txt	2010-04-06 03:24:42.000000000 +0200
+++ OpenCV-2.1.0/src/cv/CMakeLists.txt	2010-04-10 15:02:08.313951640 +0200
@@ -71,8 +71,8 @@
 
 install(TARGETS ${the_target}
     RUNTIME DESTINATION bin COMPONENT main
-    LIBRARY DESTINATION lib COMPONENT main
-    ARCHIVE DESTINATION lib COMPONENT main)
+    LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+    ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 install(FILES ${lib_hdrs}
     DESTINATION include/opencv
diff -uNr old-OpenCV-2.1.0//src/cvaux/CMakeLists.txt OpenCV-2.1.0/src/cvaux/CMakeLists.txt
--- old-OpenCV-2.1.0//src/cvaux/CMakeLists.txt	2010-04-06 03:24:43.000000000 +0200
+++ OpenCV-2.1.0/src/cvaux/CMakeLists.txt	2010-04-10 15:02:29.126952666 +0200
@@ -76,8 +76,8 @@
 
 install(TARGETS ${the_target}
 	RUNTIME DESTINATION bin COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main)
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 install(FILES ${aux_hdrs_ext}
         DESTINATION include/opencv
diff -uNr old-OpenCV-2.1.0//src/cxcore/CMakeLists.txt OpenCV-2.1.0/src/cxcore/CMakeLists.txt
--- old-OpenCV-2.1.0//src/cxcore/CMakeLists.txt	2010-04-06 03:24:44.000000000 +0200
+++ OpenCV-2.1.0/src/cxcore/CMakeLists.txt	2010-04-10 15:02:48.061200789 +0200
@@ -71,8 +71,8 @@
 
 install(TARGETS ${the_target}
     RUNTIME DESTINATION bin COMPONENT main
-    LIBRARY DESTINATION lib COMPONENT main
-    ARCHIVE DESTINATION lib COMPONENT main)
+    LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+    ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 # install each module headers separately
 install(FILES ${lib_hdrs}
diff -uNr old-OpenCV-2.1.0//src/highgui/CMakeLists.txt OpenCV-2.1.0/src/highgui/CMakeLists.txt
--- old-OpenCV-2.1.0//src/highgui/CMakeLists.txt	2010-04-06 03:24:44.000000000 +0200
+++ OpenCV-2.1.0/src/highgui/CMakeLists.txt	2010-04-10 15:04:03.528948330 +0200
@@ -282,8 +282,8 @@
 
 install(TARGETS ${the_target}
 	RUNTIME DESTINATION bin COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main)
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 install(FILES ${highgui_ext_hdrs}
         DESTINATION include/opencv
diff -uNr old-OpenCV-2.1.0//src/ml/CMakeLists.txt OpenCV-2.1.0/src/ml/CMakeLists.txt
--- old-OpenCV-2.1.0//src/ml/CMakeLists.txt	2010-04-06 03:24:45.000000000 +0200
+++ OpenCV-2.1.0/src/ml/CMakeLists.txt	2010-04-10 15:04:41.115200799 +0200
@@ -61,8 +61,8 @@
 
 install(TARGETS ${the_target}
 	RUNTIME DESTINATION bin COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main)
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 install(FILES ${lib_hdrs}
         DESTINATION include/opencv
diff -uNr old-OpenCV-2.1.0//tests/cxts/CMakeLists.txt OpenCV-2.1.0/tests/cxts/CMakeLists.txt
--- old-OpenCV-2.1.0//tests/cxts/CMakeLists.txt	2010-04-06 03:24:46.000000000 +0200
+++ OpenCV-2.1.0/tests/cxts/CMakeLists.txt	2010-04-10 15:05:02.496950347 +0200
@@ -63,6 +63,6 @@
 if(WIN32)
 install(TARGETS ${the_target}
     RUNTIME DESTINATION bin COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main)
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 endif()
